"use strict";
var registry_1 = require('./registry');
var express = require('express');
var chai_1 = require('chai');
var TestServiceC = (function () {
    function TestServiceC() {
    }
    return TestServiceC;
}());
describe('service-registry', function () {
    var app;
    beforeEach(function () {
        app = express();
    });
    it('should be possible to register an object', function () {
        var fn = function () {
            new registry_1.JsRestfulRegistry(app).registerService(new TestServiceC());
        };
        chai_1.expect(fn).to.not.throw(Error);
    });
    it('should only be possible to register an object of a specific type once', function () {
        var registry = new registry_1.JsRestfulRegistry(app);
        registry.registerService(new TestServiceC());
        var fn = function () {
            registry.registerService(new TestServiceC());
        };
        chai_1.expect(fn).to.throw(Error);
    });
    it('should only not be possible to register a type', function () {
        var fn = function () {
            new registry_1.JsRestfulRegistry(app).registerService(TestServiceC);
        };
        chai_1.expect(fn).to.throw(TypeError);
    });
});
//# sourceMappingURL=registry.spec.js.map